#include <bits/stdc++.h>
using namespace std;
int n,x,a,q,w,z,c,o;
int main(){
     cin >> n >> x>>a;
     q=a;
     w=a;
     for(int i=2;i<=n;i++){
       cin>>a;
       q=max(a,q);
       w=min(a,w);
     }
     if(w>=x){cout << q-x <<endl;}
     else{if(q<=x){cout<<x-w<<endl;}
           else{z=min(q-x,x-w);c=max(q-x,x-w);cout<<z+z+c<<endl; }}


    return 0;
}